iscsi_session_tpgt_get(3)

NAME
iscsi_session_tpgt_get - Retrieve target portal group tag of specified session

SYNOPSIS
int32_t iscsi_session_tpgt_get (struct iscsi_session *se);

ARGUMENTS

se  Pointer of 'struct iscsi_session'. If this pointer is NULL, your program will be terminated by assert.

DESCRIPTION

Retrieve the target portal group tag of specified iSCSI session.

The target portal group tag is a value that uniquely identifies a portal group within an iSCSI target node. This key carries the value of the tag of the portal group that is servicing the Login request. The iSCSI target returns this key to the initiator in the Login Response PDU to the first Login Request PDU that has the C bit set to 0 when TargetName is given by the initiator.

RETURN
int32_t. -1 if not supported.